summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2010-06-04 07:23:04 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2010-06-04 07:23:04 (GMT)
commit6a763c676c7bf636b4e5d5ed8f5157d7691c8bb9 (patch)
treef244bda419e160b0c0a65259e44ed4bd407e27c8
parent2e95d41dfdf47a0e56f9af697108611214943357 (diff)
downloadlinhes_pkgbuild-6a763c676c7bf636b4e5d5ed8f5157d7691c8bb9.zip
linhes_pkgbuild-6a763c676c7bf636b4e5d5ed8f5157d7691c8bb9.tar.gz
linhes_pkgbuild-6a763c676c7bf636b4e5d5ed8f5157d7691c8bb9.tar.bz2
linhes-scripts:added script to guide users to latest LinHES release.
-rw-r--r--abs/core-testing/linhes-scripts/PKGBUILD6
-rwxr-xr-xabs/core-testing/linhes-scripts/upgrade_linhes.sh139
2 files changed, 142 insertions, 3 deletions
diff --git a/abs/core-testing/linhes-scripts/PKGBUILD b/abs/core-testing/linhes-scripts/PKGBUILD
index c728d36..324b2f4 100644
--- a/abs/core-testing/linhes-scripts/PKGBUILD
+++ b/abs/core-testing/linhes-scripts/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=linhes-scripts
pkgver=1
-pkgrel=72
+pkgrel=73
pkgdesc="Various scripts that help to make LinHES, LinHES."
arch=('i686' 'x86_64')
license=('GPL2')
@@ -36,7 +36,7 @@ linhes_update2.sh
linhes_update3.sh
install_hulu.sh
update_schema_021_to_022.sh
-upgrade_to_0.22.sh
+upgrade_linhes.sh
remove_php_mythvideo.sh
removecommercials.sh
system-cleanup.sh
@@ -81,7 +81,7 @@ md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
'be324dba44ae96676973a74421944853'
'c9dc0dd07369622879a000247ac55074'
'65629302a4d2c3adf88cdf0ebc10d493'
- 'ea5492d4dab8271db20cb84416c001dc'
+ 'dd25b07b02d48e336249a0c5dcaca07b'
'87b0dc855181f98516acb18a7d551601'
'25c1baeb97a49656456ae33f7e7a9f06'
'2fb25aef03ffd1282414d8cca3df7056'
diff --git a/abs/core-testing/linhes-scripts/upgrade_linhes.sh b/abs/core-testing/linhes-scripts/upgrade_linhes.sh
new file mode 100755
index 0000000..1ce27a7
--- /dev/null
+++ b/abs/core-testing/linhes-scripts/upgrade_linhes.sh
@@ -0,0 +1,139 @@
+#!/bin/bash
+#Script to facilitate easy upgrade to latest LinHES.
+clear
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root" 1>&2
+ exit 1
+fi
+function pause(){
+ read -p "$*"
+}
+echo "The script will guide you thru the process of upgrading to the latest LinHES."
+pause 'Press <ENTER> to continue...'
+echo
+echo "Sync'n with the repos..."
+echo
+pacman -Sy &>/dev/null
+pacman -Qu > /tmp/linhes_upgrade
+if [ ! -s /tmp/linhes_upgrade ]
+then
+ echo "No upgrades found. This could mean the repository is busy."
+ echo "Or your system is already up to date."
+ echo "If you have not upgrade, please try again later."
+ echo "Starting the backend."
+ sv start mythbackend &>/dev/null
+ exit 1
+fi
+if grep -E "Master|Stand" /etc/systemconfig &>/dev/null
+ then
+ echo "Stopping the backend."
+ sv stop mythbackend &>/dev/null
+fi
+if pacman -Qs mythvodka &>/dev/null
+ then
+ echo "Removing MythVodka if installed as it is no longer compatible with MythTV."
+ echo
+ pacman -R mythvodka &>/dev/null
+fi
+echo
+echo "Backing up Online Streams listings."
+echo
+cp /usr/share/mythtv/is.xml /usr/share/mythtv/is.xml.021
+echo "Removing mythcontrol, mythphone and mythsmolt if installed."
+echo
+if pacman -Qs mythcontrols &>/dev/null
+ then
+ pacman -R mythcontrols &>/dev/null
+fi
+if pacman -Qs mythphone &>/dev/null
+ then
+ pacman -R mythphone &>/dev/null
+fi
+if pacman -Qs mythsmolt &>/dev/null
+ then
+ pacman -R mythsmolt &>/dev/null
+fi
+if grep -q kernel26 /tmp/linhes_upgrade
+then
+ echo "Upgrading the kernel."
+ echo
+ if pacman -Qs v4l-dvb &>/dev/null
+ then
+ pacman -Sf --noconfirm kernel26 &>/dev/null && pacman -Sf --noconfirm v4l-dvb
+ else
+ pacman -S kernel26 --noconfirm &>/dev/null
+ fi
+fi
+if grep -q v4l-dvb /tmp/linhes_upgrade
+then
+ pacman -Sf --noconfirm v4l-dvb &>/dev/null
+fi
+echo "Checking for VDPAU packages and upgrading if needed."
+echo
+if pacman -Qs vdpinfo-71xx &>/dev/null
+ then
+ pacman -Rd vdpinfo-71xx &>/dev/null
+fi
+if pacman -Qs vdpinfo-96xx &>/dev/null
+ then
+ pacman -Rd vdpinfo-96xx &>/dev/null
+fi
+if pacman -Qs vdpinfo &>/dev/null
+ then
+ pacman -Rd vdpinfo &>/dev/null && pacman -S --noconfirm nvidia &>/dev/null && pacman -S --noconfirm vdpauinfo &>/dev/null
+fi
+echo "Performing complete system upgrade."
+echo "This may take some time depending on your connection speed."
+echo "Server bandwidth utilization will also have an affect."
+echo "Please be patient."
+echo
+pacman -Su --noconfirm &>/dev/null
+echo "Restoring Online Streams listings."
+echo
+cp /usr/share/mythtv/is.xml.021 /usr/share/mythtv/is.xml
+if grep -E "Master|Stand" /etc/systemconfig &>/dev/null
+ then
+ echo "Starting the backend. This will automatically update the schema."
+ sv start mythbackend &>/dev/null
+ echo "I'll launch an xterm so you watch output backend log."
+ echo "Once the schema updates are complete, switch back to this xterm."
+ echo -e "\033[1mWhen you see \"Upgrading to MythTV schema version 1254\"\033[0m"
+ echo "You can switch back to this xterm."
+ echo -e "\033[1mNote:After pressing <ENTER>, I'll be asleep for 30 secs...\033[0m"
+ echo -e "\033[1mThis will give the schema time to upgrade.\033[0m"
+ pause 'Press <ENTER> to continue...'
+ xterm -fn *18* -e tail -f /var/log/mythtv/mythbackend.log &
+ #Sleeping for 30 seconds to give the schema time to upgrade....
+ sleep 30
+ read -p "Press <ENTER> to continue once the schema upgrade is complete."
+ echo
+ echo -e "\033[1mNow, the frontend will launch to update the schema for any plugins.\033[0m"
+ echo -e "\033[1mOnce the this is done, please exit the frontend.\033[0m"
+ pause 'Press <ENTER> to continue...'
+ xterm -e mythfrontend
+ echo
+ echo "Performing LinHES specific schema updates."
+ echo
+ /usr/LH/bin/update_schema_021_to_022.sh
+ cat /data/database/dvd_transcode_r6.sql | mysql -u root mythconverg
+fi
+echo "All done!"
+echo -e "\033[5mThanks for choosing LinHES!\033[0m"
+if grep -q kernel26 /tmp/linhes_upgrade
+then
+ echo "The kernel was upgraded, we need to reboot."
+ pause "Press <ENTER> to reboot."
+ reboot
+else
+ if grep -q v4l-dvb /tmp/linhes_upgrade
+ then
+ echo "The V4L\DVB modules were upgraded."
+ pause "Press <ENTER> to reboot."
+ reboot
+ else
+ echo "Launching mythfrontend once again!"
+ echo "Enjoy the latest version!"
+ sleep 5
+ mythfrontend
+fi
+fi